Debian Bug report logs - #694870
/usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe

version graph

Package: initramfs-tools-tcos; Maintainer for initramfs-tools-tcos is Mario Izquierdo (mariodebian) <mariodebian@gmail.com>; Source for initramfs-tools-tcos is src:tcos.

Reported by: Robert Hunger <rhunger@gmx.ch>

Date: Sat, 1 Dec 2012 15:09:02 UTC

Severity: grave

Tags: fixed-upstream, patch

Found in version tcos/0.89.90

Fixed in version tcos/0.89.93

Done: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sat, 01 Dec 2012 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Hunger <rhunger@gmx.ch>:
New Bug report received and forwarded. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sat, 01 Dec 2012 15:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Hunger <rhunger@gmx.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe
Date: Sat, 1 Dec 2012 16:05:34 +0100
Package: initramfs-tools-tcos
Version: 0.89.90
Severity: grave
File: /usr/sbin/gentcos
Justification: renders package unusable

Dear Maintainer,

By calling "gentcos -cdrom -size" on the command line the script
stops with following error message:

"""
modprobe: invalid option -- 'l'
modprobe: invalid option -- 'l'
modprobe: invalid option -- 'l'
ERROR:
    to build usable TCOS initramfs images need this kernel module: "aufs|overlayfs|unionfs"
"""

Module aufs is available.

Additional information:

# dpkg --search /sbin/modprobe
kmod: /sbin/modprobe

$ dpkg --status kmod
Package: kmod
Status: install ok installed
Priority: important
Section: admin
Installed-Size: 197
Maintainer: Marco d'Itri <md@linux.it>
Architecture: amd64
Multi-Arch: foreign
Version: 9-2
Replaces: module-init-tools (<< 4)

It seams that the option "-l", "--list" does not exist anymore
in modprobe.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'unstable'), (100, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.6-trunk-amd64 (SMP w/4 CPU cores)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools-tcos depends on:
ii  console-setup    1.87
ii  initramfs-tools  0.109
ii  ltspfsd-core     1.1-2
ii  pciutils         1:3.1.9-5
ii  squashfs-tools   1:4.2-5
ii  tcos-core        0.89.90

Versions of packages initramfs-tools-tcos recommends:
ii  acpid          1:2.0.16-1
ii  alsa-base      1.0.25+2+nmu2
ii  binutils       2.22-7.1
ii  cdparanoia     3.10.2+debian-10.1
ii  debootstrap    1.0.42
ii  dropbear       2012.55-1.3
ii  fgetty         0.6-5
ii  genisoimage    9:1.1.11-2
ii  mbr            1.1.11-5+b1
ii  mknbi          1.4.4-9
ii  mtools         4.0.17-1
ii  p910nd         0.95-1
ii  pulseaudio     2.0-6
ii  syslinux       2:4.05+dfsg-6
ii  twm            1:1.0.6-1
ii  xfonts-100dpi  1:1.0.3

initramfs-tools-tcos suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sat, 01 Dec 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Izquierdo <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sat, 01 Dec 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Mario Izquierdo <mariodebian@gmail.com>
To: Robert Hunger <rhunger@gmx.ch>, 694870@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#694870: /usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe
Date: Sat, 01 Dec 2012 18:48:07 +0100
Hi


This bug is fixed in current git code:

http://tcosproject.org/cgit/tcos.git/commit/?id=bd77023afadfe96a0c6ab86343b02b695567439f

I need to prepare a new TCOS version but I don't know if release team
will unblock tcos for fixing this....




El sáb, 01-12-2012 a las 16:05 +0100, Robert Hunger escribió:
> Package: initramfs-tools-tcos
> Version: 0.89.90
> Severity: grave
> File: /usr/sbin/gentcos
> Justification: renders package unusable
> 
> Dear Maintainer,
> 
> By calling "gentcos -cdrom -size" on the command line the script
> stops with following error message:
> 
> """
> modprobe: invalid option -- 'l'
> modprobe: invalid option -- 'l'
> modprobe: invalid option -- 'l'
> ERROR:
>     to build usable TCOS initramfs images need this kernel module: "aufs|overlayfs|unionfs"
> """
> 
> Module aufs is available.
> 
> Additional information:
> 
> # dpkg --search /sbin/modprobe
> kmod: /sbin/modprobe
> 
> $ dpkg --status kmod
> Package: kmod
> Status: install ok installed
> Priority: important
> Section: admin
> Installed-Size: 197
> Maintainer: Marco d'Itri <md@linux.it>
> Architecture: amd64
> Multi-Arch: foreign
> Version: 9-2
> Replaces: module-init-tools (<< 4)
> 
> It seams that the option "-l", "--list" does not exist anymore
> in modprobe.
> 
> 
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers testing
>   APT policy: (900, 'testing'), (300, 'unstable'), (100, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 3.6-trunk-amd64 (SMP w/4 CPU cores)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages initramfs-tools-tcos depends on:
> ii  console-setup    1.87
> ii  initramfs-tools  0.109
> ii  ltspfsd-core     1.1-2
> ii  pciutils         1:3.1.9-5
> ii  squashfs-tools   1:4.2-5
> ii  tcos-core        0.89.90
> 
> Versions of packages initramfs-tools-tcos recommends:
> ii  acpid          1:2.0.16-1
> ii  alsa-base      1.0.25+2+nmu2
> ii  binutils       2.22-7.1
> ii  cdparanoia     3.10.2+debian-10.1
> ii  debootstrap    1.0.42
> ii  dropbear       2012.55-1.3
> ii  fgetty         0.6-5
> ii  genisoimage    9:1.1.11-2
> ii  mbr            1.1.11-5+b1
> ii  mknbi          1.4.4-9
> ii  mtools         4.0.17-1
> ii  p910nd         0.95-1
> ii  pulseaudio     2.0-6
> ii  syslinux       2:4.05+dfsg-6
> ii  twm            1:1.0.6-1
> ii  xfonts-100dpi  1:1.0.3
> 
> initramfs-tools-tcos suggests no packages.
> 
> -- no debconf information






Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sat, 01 Dec 2012 17:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Izquierdo <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sat, 01 Dec 2012 17:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sat, 01 Dec 2012 22:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Hunger <rhunger@gmx.ch>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sat, 01 Dec 2012 22:45:08 GMT) Full text and rfc822 format available.

Message #20 received at 694870@bugs.debian.org (full text, mbox):

From: Robert Hunger <rhunger@gmx.ch>
To: Mario Izquierdo <mariodebian@gmail.com>
Cc: 694870@bugs.debian.org
Subject: Re: Bug#694870: /usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe
Date: Sat, 1 Dec 2012 23:41:55 +0100
[Message part 1 (text/plain, inline)]
Hi Mario,

Mario Izquierdo <mariodebian@gmail.com> wrote on 2012-12-01T18:48:07+0100:
> This bug is fixed in current git code:
> 
> http://tcosproject.org/cgit/tcos.git/commit/?id=bd77023afadfe96a0c6ab86343b02b695567439f

Good to know.

I temporarily worked around by using attached script.
Of course the script is not a solution.

Thanks for the fast reply and greetings
Robert
[modprobe (text/plain, attachment)]

Added tag(s) fixed-upstream. Request was from Andrey Rahmatullin <wrar@wrar.name> to control@bugs.debian.org. (Sun, 02 Dec 2012 15:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sun, 16 Dec 2012 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sun, 16 Dec 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 694870@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: 694870@bugs.debian.org
Subject: /usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe
Date: Sun, 16 Dec 2012 13:00:54 -0800
Control: tags 694870 +patch

I made an *untested* patch based on:

  http://tcosproject.org/cgit/tcos.git/commit/?id=bd77023afadfe96a0c6ab86343b02b695567439f

It only fixes the "modprobe -l" issues, leaving out the other changes:

diff --git a/bin/gentcos b/bin/gentcos
index 4999489..6632fac 100755
--- a/bin/gentcos
+++ b/bin/gentcos
@@ -466,14 +466,10 @@ check_modules() {
        if [ "$(echo $_module | awk -F "|" '{print $2}')" != "" ]; then
          for _mod in $(echo $_module | sed 's/|/ /g'); do
            #_echo "searching for module $_mod"
-           have_one_module=$(modprobe --set-version="${TCOS_KERNEL}" -l ${_mod} | wc -l)
-           if [ ${have_one_module} != 0 ]; then
-              #_echo "have $_mod !!!"
-              have_module=1
-           fi
+           tcos_find_module "${_mod}" && have_module=1
          done
        else
-         have_module=$(modprobe --set-version="${TCOS_KERNEL}" -l ${_module} | wc -l)
+         tcos_find_module "${_module}" && have_module=1
        fi
 
        if [ ${have_module} = 0 ] ; then
diff --git a/conf/tcos-generation-functions.sh b/conf/tcos-generation-functions.sh
index 7b6e7a5..f860952 100644
--- a/conf/tcos-generation-functions.sh
+++ b/conf/tcos-generation-functions.sh
@@ -247,6 +247,17 @@ force_add_module() {
         # end of force copy
 }
 
+tcos_find_module() {
+  mod=$(find /lib/modules/${TCOS_KERNEL} -name ${1}.ko | tail -1)
+  if [ "$mod" = "" ] ; then
+    return 1
+  fi
+  if [ "$(basename $mod .ko)" = "$1" ]; then
+    return 0
+  fi
+  return 1
+}
+
 parse_pxelinuxcfg() {
         if [ $TCOS_NETBOOT_MENU ] && [ -z $2 ]; then
           TEMPLATE=${TCOS_CONF}/${TCOS_PXECFG_MENU}
diff --git a/conf/tcos-run-functions.sh b/conf/tcos-run-functions.sh
index 7bcd8a7..4e79180 100644
--- a/conf/tcos-run-functions.sh
+++ b/conf/tcos-run-functions.sh
@@ -103,6 +103,17 @@ _log () {
   /bin/logger -t "$(echo $1| awk '{print $1}')" "$@" >> /tmp/initramfs.debug 2>&1
 }
 
+tcos_find_module() {
+  mod=$(find /lib/modules/${version} -name ${1}.ko | tail -1)
+  if [ "$mod" = "" ] ; then
+    return 1
+  fi
+  if [ "$(basename $mod .ko)" = "$1" ]; then
+    return 0
+  fi
+  return 1
+}
+
 read_server() {
   # $1 is server hostname
   nSERVER=$(grep "$1" /etc/hosts | awk '{print $1}' | head -1)
diff --git a/hooks-addons/05compcache b/hooks-addons/05compcache
index 586cc6a..f8cae1e 100644
--- a/hooks-addons/05compcache
+++ b/hooks-addons/05compcache
@@ -35,6 +35,9 @@ fi
 
 quiet=n
 
+. /conf/tcos.conf
+. /conf/tcos-run-functions
+
 # find total amount of available ram
 TOTAL_RAM=\$(grep MemTotal /proc/meminfo |tr -d ': [A-Z][a-z]')
 
@@ -52,8 +55,8 @@ if [ "\${kbytes}" -gt "\${AVALAIBLE_RAM}" ]; then
 fi
 
 
-if modprobe --list zram | grep -q zram; then
-  modprobe zram num_devices=1
+if tcos_find_module "zram"; then
+  modprobe zram
   echo \$((1024*\$kbytes)) > /sys/block/zram0/disksize
   /sbin/mkswap /dev/zram0 >/dev/null 2>&1
   /sbin/swapon -p 100 /dev/zram0 >/dev/null 2>&1
diff --git a/hooks-addons/40etc2300 b/hooks-addons/40etc2300
index 84775f3..1bbd177 100644
--- a/hooks-addons/40etc2300
+++ b/hooks-addons/40etc2300
@@ -34,7 +34,7 @@ chmod +x ${DESTDIR}/scripts/tcos-bottom/15etc2300
 stat_before
  
   manual_add_modules sis5513
-  if modprobe --set-version="${TCOS_KERNEL}" -l| grep -q snd-sis7019 ; then
+  if ! tcos_find_module "snd-sis7019" ; then
     manual_add_modules ac97_codec
     manual_add_modules sis7019
   else
diff --git a/hooks/tcosmods b/hooks/tcosmods
index a01aa31..7def177 100755
--- a/hooks/tcosmods
+++ b/hooks/tcosmods
@@ -92,16 +92,11 @@ TCOS_DISABLE_IDE=$(read_env_var "TCOS_DISABLE_IDE" "$TCOS_DISABLE_IDE")
 
     # put floppy outside /lib/modules
     mkdir -p $DESTDIR/lib/extramodules
-    FLOPPY_MOD=$(modprobe --set-version="${TCOS_KERNEL}" --list "floppy" 2>/dev/null)
-    FLOPPY_IDE_MOD=$(modprobe --set-version="${TCOS_KERNEL}" --list "ide-floppy")
-
-    # new modprobe versions return relative PATH
-    if [ ! -e "${FLOPPY_MOD}" ] && [ "${FLOPPY_MOD}" != "" ] && [ -e "/lib/modules/${TCOS_KERNEL}/${FLOPPY_MOD}" ]; then
-      FLOPPY_MOD="/lib/modules/${TCOS_KERNEL}/${FLOPPY_MOD}"
+    if tcos_find_module "floppy"; then
+        FLOPPY_MOD=$(find /lib/modules/${TCOS_KERNEL} -name floppy.ko | tail -1)
     fi
-
-    if [ ! -e "${FLOPPY_IDE_MOD}" ] && [ "${FLOPPY_IDE_MOD}" != "" ] && [ -e "/lib/modules/${TCOS_KERNEL}/${FLOPPY_IDE_MOD}" ]; then
-      FLOPPY_IDE_MOD="/lib/modules/${TCOS_KERNEL}/${FLOPPY_IDE_MOD}"
+    if tcos_find_module "ide-floppy"; then
+        FLOPPY_IDE_MOD=$(find /lib/modules/${TCOS_KERNEL} -name ide-floppy.ko | tail -1)
     fi
 
 
@@ -166,15 +161,8 @@ TCOS_DISABLE_IDE=$(read_env_var "TCOS_DISABLE_IDE" "$TCOS_DISABLE_IDE")
 
 
     if [ "$TCOS_CPUFREQ" = "1" ]; then
-        # modprobe -l| grep cpufreq_| awk -F"/" '{print $NF}'| sed -e 's/.ko//g'
-        CPUFREQ_MODS=$(modprobe --set-version="${TCOS_KERNEL}" --list 2>/dev/null| awk -F"/" '/cpufreq_/ {print $NF}'| sed -e s/".ko"//g)
-        CPUFREQ_CPU_MODS=$(modprobe --set-version="${TCOS_KERNEL}" --list 2>/dev/null| awk -F"/" '/cpu\/cpufreq/ {print $NF}' | sed -e s/".ko"//g)
-         _echo "   TCOS adding CPUFREQ modules"
-        for _mod in $CPUFREQ_MODS; do
-            tcos_manual_add_modules $_mod
-        done
-        for _mod in $CPUFREQ_CPU_MODS; do
-            tcos_manual_add_modules $_mod
+        for _mod in $(find /lib/modules/${TCOS_KERNEL} | grep cpufreq| grep ko$); do
+            tcos_manual_add_modules $(basename $_mod .ko)
         done
     fi
 

live well,
  vagrant



Added tag(s) patch. Request was from Vagrant Cascadian <vagrant@debian.org> to 694870-submit@bugs.debian.org. (Sun, 16 Dec 2012 21:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sun, 16 Dec 2012 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sun, 16 Dec 2012 23:18:03 GMT) Full text and rfc822 format available.

Message #34 received at 694870@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: 694870@bugs.debian.org
Subject: Re: /usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe
Date: Sun, 16 Dec 2012 15:15:06 -0800
On Sun, Dec 16, 2012 at 01:00:54PM -0800, Vagrant Cascadian wrote:
> I made an *untested* patch based on:
... 
> It only fixes the "modprobe -l" issues, leaving out the other changes:

I've tested it now, and it seems to fix the issue- It generates a CD image.

If you need a sponsor, let me know.

live well,
  vagrant



Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Tue, 18 Dec 2012 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to MarioDebian <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Tue, 18 Dec 2012 01:54:03 GMT) Full text and rfc822 format available.

Message #39 received at 694870@bugs.debian.org (full text, mbox):

From: MarioDebian <mariodebian@gmail.com>
To: Vagrant Cascadian <vagrant@debian.org>
Cc: 694870@bugs.debian.org
Subject: Re: Bug#694870: /usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe
Date: Tue, 18 Dec 2012 02:51:52 +0100
[Message part 1 (text/plain, inline)]
I will prepare a new package this week. If my current sponsor can't upload
I will contact you.

Thanks
El 17/12/2012 00:18, "Vagrant Cascadian" <vagrant@debian.org> escribió:

> On Sun, Dec 16, 2012 at 01:00:54PM -0800, Vagrant Cascadian wrote:
> > I made an *untested* patch based on:
> ...
> > It only fixes the "modprobe -l" issues, leaving out the other changes:
>
> I've tested it now, and it seems to fix the issue- It generates a CD image.
>
> If you need a sponsor, let me know.
>
> live well,
>   vagrant
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Tue, 01 Jan 2013 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Tue, 01 Jan 2013 18:45:03 GMT) Full text and rfc822 format available.

Message #44 received at 694870@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 694870@bugs.debian.org, MarioDebian <mariodebian@gmail.com>, Vagrant Cascadian <vagrant@debian.org>
Subject: Ping?
Date: Tue, 1 Jan 2013 19:42:52 +0100
[Message part 1 (text/plain, inline)]
Quoting Mario on December 18th:

"I will prepare a new package this week. If my current sponsor can't upload
I will contact you."


We're no longer "this week", so either you couldn't prepare a new
package.....or your usual sponsor couldn't upload.:-)

If you're lacking time to prepare the package, I think that Vagrant
can probably do it. If he can't, I can. Just tell us.

It your usual sponsor isn't answering, please point us to a .dsc file
and we'll upload.

It is *really* time to tackle RC bugs..:-)

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Wed, 02 Jan 2013 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Izquierdo <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Wed, 02 Jan 2013 21:54:03 GMT) Full text and rfc822 format available.

Message #49 received at 694870@bugs.debian.org (full text, mbox):

From: Mario Izquierdo <mariodebian@gmail.com>
To: Christian PERRIER <bubulle@debian.org>, 694870@bugs.debian.org
Cc: Vagrant Cascadian <vagrant@debian.org>
Subject: Re: Bug#694870: Ping?
Date: Wed, 02 Jan 2013 22:50:25 +0100
Sorry for late response...


I uploaded to mentors:

https://mentors.debian.net/package/tcos

Could you sign and upload to Debian???


El mar, 01-01-2013 a las 19:42 +0100, Christian PERRIER escribió:
> Quoting Mario on December 18th:
> 
> "I will prepare a new package this week. If my current sponsor can't upload
> I will contact you."
> 
> 
> We're no longer "this week", so either you couldn't prepare a new
> package.....or your usual sponsor couldn't upload.:-)
> 
> If you're lacking time to prepare the package, I think that Vagrant
> can probably do it. If he can't, I can. Just tell us.
> 
> It your usual sponsor isn't answering, please point us to a .dsc file
> and we'll upload.
> 
> It is *really* time to tackle RC bugs..:-)
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Thu, 03 Jan 2013 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Thu, 03 Jan 2013 07:09:03 GMT) Full text and rfc822 format available.

Message #54 received at 694870@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Mario Izquierdo <mariodebian@gmail.com>
Cc: 694870@bugs.debian.org, Vagrant Cascadian <vagrant@debian.org>
Subject: Re: Bug#694870: Ping?
Date: Thu, 3 Jan 2013 08:07:34 +0100
[Message part 1 (text/plain, inline)]
Quoting Mario Izquierdo (mariodebian@gmail.com):
> Sorry for late response...
> 
> 
> I uploaded to mentors:
> 
> https://mentors.debian.net/package/tcos
> 
> Could you sign and upload to Debian???

Well, there are more changes than only the one needed to fix #694870.

Unless you have *very very* good reasons and probably a pre-approval
by the release team, I'd recommend adding only what's needed to fix
the release critical bug.


> 
> 
> El mar, 01-01-2013 a las 19:42 +0100, Christian PERRIER escribió:
> > Quoting Mario on December 18th:
> > 
> > "I will prepare a new package this week. If my current sponsor can't upload
> > I will contact you."
> > 
> > 
> > We're no longer "this week", so either you couldn't prepare a new
> > package.....or your usual sponsor couldn't upload.:-)
> > 
> > If you're lacking time to prepare the package, I think that Vagrant
> > can probably do it. If he can't, I can. Just tell us.
> > 
> > It your usual sponsor isn't answering, please point us to a .dsc file
> > and we'll upload.
> > 
> > It is *really* time to tackle RC bugs..:-)
> > 
> 
> 

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Thu, 03 Jan 2013 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Izquierdo <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Thu, 03 Jan 2013 10:33:03 GMT) Full text and rfc822 format available.

Message #59 received at 694870@bugs.debian.org (full text, mbox):

From: Mario Izquierdo <mariodebian@gmail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: 694870@bugs.debian.org, Vagrant Cascadian <vagrant@debian.org>
Subject: Re: Bug#694870: Ping?
Date: Thu, 03 Jan 2013 11:31:02 +0100
El jue, 03-01-2013 a las 08:07 +0100, Christian PERRIER escribió:
> Quoting Mario Izquierdo (mariodebian@gmail.com):
> > Sorry for late response...
> > 
> > 
> > I uploaded to mentors:
> > 
> > https://mentors.debian.net/package/tcos
> > 
> > Could you sign and upload to Debian???
> 
> Well, there are more changes than only the one needed to fix #694870.
> 
> Unless you have *very very* good reasons and probably a pre-approval
> by the release team, I'd recommend adding only what's needed to fix
> the release critical bug.
> 


All the changes are needed to build TCOS boot images for Debian unstable
(and Wheezy)

http://tcosproject.org/cgit/tcos.git/commit/?id=df9ee84ce07fbcf1a9dcbb720632918e0662f170

    This detect versions > 1.x of pulseaudio (Debian have now 2.0-6)

http://tcosproject.org/cgit/tcos.git/commit/?id=8231574b03f85f5fd38c66cc7b5f52a0db3cda11

    This remove a incorrect divert that cause to not upgrade
    chroot if udev is updated.

http://tcosproject.org/cgit/tcos.git/commit/?id=bd77023afadfe96a0c6ab86343b02b695567439f

    This is a mix of 3 fixes:

     * Replace "modprobe -l" with a bash function to search module
     * Fix Multiarch paths for alsa & pulseaudio
     * Use mesa libGL instead of downloading deb package and use it


If you don't use any of this patches, TCOS images will not boot, or not
have sound or use nVidia/ATI libGL when other driver is needed (bad
performance)

I can prepare a package with only modprobe fix, but I think I must fix
all problems for wheezy, we can create 2 another RC bugs to indicate
this 2 newer changes...


Thanks for your help





Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sat, 05 Jan 2013 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sat, 05 Jan 2013 07:24:03 GMT) Full text and rfc822 format available.

Message #64 received at 694870@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Mario Izquierdo <mariodebian@gmail.com>
Cc: 694870@bugs.debian.org, Vagrant Cascadian <vagrant@debian.org>
Subject: Re: Bug#694870: Ping?
Date: Sat, 5 Jan 2013 08:20:14 +0100
[Message part 1 (text/plain, inline)]
Quoting Mario Izquierdo (mariodebian@gmail.com):
> El jue, 03-01-2013 a las 08:07 +0100, Christian PERRIER escribió:
> > Quoting Mario Izquierdo (mariodebian@gmail.com):
> > > Sorry for late response...
> > > 
> > > 
> > > I uploaded to mentors:
> > > 
> > > https://mentors.debian.net/package/tcos
> > > 
> > > Could you sign and upload to Debian???
> > 
> > Well, there are more changes than only the one needed to fix #694870.
> > 
> > Unless you have *very very* good reasons and probably a pre-approval
> > by the release team, I'd recommend adding only what's needed to fix
> > the release critical bug.
> > 
> 
> 
> All the changes are needed to build TCOS boot images for Debian unstable
> (and Wheezy)
> 
> http://tcosproject.org/cgit/tcos.git/commit/?id=df9ee84ce07fbcf1a9dcbb720632918e0662f170
> 
>     This detect versions > 1.x of pulseaudio (Debian have now 2.0-6)
> 
> http://tcosproject.org/cgit/tcos.git/commit/?id=8231574b03f85f5fd38c66cc7b5f52a0db3cda11
> 
>     This remove a incorrect divert that cause to not upgrade
>     chroot if udev is updated.
> 
> http://tcosproject.org/cgit/tcos.git/commit/?id=bd77023afadfe96a0c6ab86343b02b695567439f
> 
>     This is a mix of 3 fixes:
> 
>      * Replace "modprobe -l" with a bash function to search module
>      * Fix Multiarch paths for alsa & pulseaudio
>      * Use mesa libGL instead of downloading deb package and use it
> 
> 
> If you don't use any of this patches, TCOS images will not boot, or not
> have sound or use nVidia/ATI libGL when other driver is needed (bad
> performance)
> 
> I can prepare a package with only modprobe fix, but I think I must fix
> all problems for wheezy, we can create 2 another RC bugs to indicate
> this 2 newer changes...



Well, those you need to convince with these arguments, Mario, is the
release team.

I know nearly nothing about this package and therefore can't discuss
whether the fixes you're talking about above areimportant enough to
deserve a freeze exception. It seems so, but I'm not the one who will
unblock the package.

So, my recommendation is:

- if you feel these changes are mandatory enough for wheezy,then
prepare the package with them and prepare a debdiff wrt the package
version currently in wheezy

- then ask for *pre-approval* to the release team:
debian-release@lists.debian.org

- there, explain that your fix includes a fix the the RC bug *plus*
fixes you feel are mandatory for wheezy (mandatory means that you
think the package is mostly useless without these changes)

- then wait for their approval.

If they approve, the point one of us to the .dsc and we'll upload

If they only want to get the fix for the RC bug, then prepare a
package with it...and we'll upload too.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Sun, 27 Jan 2013 17:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Sun, 27 Jan 2013 17:57:05 GMT) Full text and rfc822 format available.

Message #69 received at 694870@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 694870@bugs.debian.org, Christian PERRIER <bubulle@debian.org>, Mario Izquierdo <mariodebian@gmail.com>, Vagrant Cascadian <vagrant@debian.org>
Subject: Re: /usr/sbin/gentcos: gentcos uses non-existent option "-l" of modprobe
Date: Sun, 27 Jan 2013 17:54:37 +0000
Control: block -1 by 699109

Hi,

I submitted a pre-approval unblock request to the Release Team to try
to get things moving on with this bug.

This is the request: http://bugs.debian.org/699109

Cheers.


PS: I am in no way involved with the package, doing this as part of a
bug squashing party.

-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>



Added blocking bug(s) of 694870: 699109 Request was from "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com> to 694870-submit@bugs.debian.org. (Sun, 27 Jan 2013 17:57:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 694870: 699109 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 23:42:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Wed, 20 Mar 2013 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Wed, 20 Mar 2013 00:03:04 GMT) Full text and rfc822 format available.

Message #78 received at 694870@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: tcos@packages.debian.org, "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: 699109@bugs.debian.org, 694870@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Wed, 20 Mar 2013 00:00:56 +0000
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 699109 + wheezy-will-remove
usertag 694870 + wheezy-will-remove
thanks

On Fri, Mar 01, 2013 at 02:14:58PM +0100, Julien Cristau wrote:
> On Mon, Jan 28, 2013 at 09:22:35 +0000, Manuel A. Fernandez Montecelo wrote:
> 
> > 2013/1/27 Julien Cristau <jcristau@debian.org>:
> > > On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:
> > >>
> > >> Could Release Team please say if the changes proposed in #694870 to
> > >> fix an RC bug are OK to go?
> > >>
> > > Please include an actual diff in this bug instead of a pointer to
> > > $somewhere_else.
> > 
> > Attached.
> > 
> > According to the discussion in that bug report, the patch does need to
> > be so big to fix three separate issues, and without the fixes it seems
> > that the software will not be functional.
> > 
> I'm not overly happy with this patch.  The multiarch "fixes" just
> hardcode two paths in an arch:all package with no apparent x86
> dependency.  And the /etc/console-setup stuff looks like it'd break if
> two files match the glob.  I'm more tempted by a removal at this point
> to be honest.

Is there any progress on this? With a low popcon, maintainer seemingly
unresponsive, RC buggy and never in a stable release, please note that
removal will happen in a few days if this can't be resolved a better way.

Thanks,

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
Bug#694870; Package initramfs-tools-tcos. (Wed, 20 Mar 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Izquierdo <mariodebian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>. (Wed, 20 Mar 2013 21:51:04 GMT) Full text and rfc822 format available.

Message #83 received at 694870@bugs.debian.org (full text, mbox):

From: Mario Izquierdo <mariodebian@gmail.com>
To: Jonathan Wiltshire <jmw@debian.org>
Cc: tcos@packages.debian.org, "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 699109@bugs.debian.org, 694870@bugs.debian.org
Subject: Re: Bug#699109: unblock (pre-approval): initramfs-tools-tcos/0.89.91
Date: Wed, 20 Mar 2013 22:50:02 +0100
[Message part 1 (text/plain, inline)]
El mié, 20-03-2013 a las 00:00 +0000, Jonathan Wiltshire escribió:
> user release.debian.org@packages.debian.org
> usertag 699109 + wheezy-will-remove
> usertag 694870 + wheezy-will-remove
> thanks
> 
> On Fri, Mar 01, 2013 at 02:14:58PM +0100, Julien Cristau wrote:
> > On Mon, Jan 28, 2013 at 09:22:35 +0000, Manuel A. Fernandez Montecelo wrote:
> > 
> > > 2013/1/27 Julien Cristau <jcristau@debian.org>:
> > > > On Sun, Jan 27, 2013 at 17:42:48 +0000, Manuel A. Fernandez Montecelo wrote:
> > > >>
> > > >> Could Release Team please say if the changes proposed in #694870 to
> > > >> fix an RC bug are OK to go?
> > > >>
> > > > Please include an actual diff in this bug instead of a pointer to
> > > > $somewhere_else.
> > > 
> > > Attached.
> > > 
> > > According to the discussion in that bug report, the patch does need to
> > > be so big to fix three separate issues, and without the fixes it seems
> > > that the software will not be functional.
> > > 
> > I'm not overly happy with this patch.  The multiarch "fixes" just
> > hardcode two paths in an arch:all package with no apparent x86
> > dependency.  And the /etc/console-setup stuff looks like it'd break if
> > two files match the glob.  I'm more tempted by a removal at this point
> > to be honest.
> 
> Is there any progress on this? With a low popcon, maintainer seemingly
> unresponsive, RC buggy and never in a stable release, please note that
> removal will happen in a few days if this can't be resolved a better way.
> 
> Thanks,
> 

Thanks for CC me in this last email, I don't know any of this bug
comments.


I attach a new patch with a better multiarch and console-setup hacks


If you still want to remove from wheezy, not agree but ok for me, Ubuntu
have TCOS since 12.04 and I would be very disappointed that Debian not.


Best regards

--
Mario

[from-8e9e1cf73e06e7a50c91fd10375f04ebe4bb59bf.diff (text/x-patch, attachment)]

Reply sent to Mario Izquierdo (mariodebian) <mariodebian@gmail.com>:
You have taken responsibility. (Tue, 31 Dec 2013 13:51:04 GMT) Full text and rfc822 format available.

Notification sent to Robert Hunger <rhunger@gmx.ch>:
Bug acknowledged by developer. (Tue, 31 Dec 2013 13:51:04 GMT) Full text and rfc822 format available.

Message #88 received at 694870-close@bugs.debian.org (full text, mbox):

From: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
To: 694870-close@bugs.debian.org
Subject: Bug#694870: fixed in tcos 0.89.93
Date: Tue, 31 Dec 2013 13:49:51 +0000
Source: tcos
Source-Version: 0.89.93

We believe that the bug you reported is fixed in the latest version of
tcos, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694870@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mario Izquierdo (mariodebian) <mariodebian@gmail.com> (supplier of updated tcos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 10 Oct 2013 16:29:03 +0200
Source: tcos
Binary: initramfs-tools-tcos tcos-core tcos-standalone tcos tcos-tftp-dhcp
Architecture: all amd64 source
Version: 0.89.93
Distribution: unstable
Urgency: low
Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Changed-By: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Closes: 694870 698181 702105 722844
Description: 
 initramfs-tools-tcos - Tools for generating a TCOS thin client bootable image
 tcos       - Base package for install a TCOS (Thin client) server
 tcos-core  - Common scripts and bins for generating a TCOS thin client bootabl
 tcos-standalone - TCOS GUI configurator for standalone hosts
 tcos-tftp-dhcp - Metapackage to install TCOS with atftp and DHCP server
Changes: 
 tcos (0.89.93) unstable; urgency=low
 .
   * Bump standards version to 3.9.4, no changes needed
   * Fix debian/copyright format
     (lintian: unversioned copyright format uri)
   * Read fgets() result
   * Use build var TCOS_MULTIARCH
   * Use mkinitramfs temp dir instead of initramfs file to
     avoid [intel|amd]-microcode in initrd.gz
   * Enable hardening build
   * Multiarch fixes
   * Use mke2fs for ext3 and ext4
   * Fix nvidia clean
   * Check for DESTDIR/scripts dir before cleaning
   * Read fgets() result in tnc/tcos-net-controller.c
   * Use mktemp file in squash creation log file
 .
 tcos (0.89.92) unstable; urgency=low
 .
   * Fix some multiarch and console-setup issues
   * Use ~/.Xauthority only if not empty
   * Replace fuse-utils with fuse package in Recommends, (closes: #698181)
   * Remove depends on python-eggtrayicon, (closes: #702105)
   * Remove -I/usr/lib in Makefiles, (closes: #722844)
   * Save multiarch during build
 .
 tcos (0.89.91) unstable; urgency=low
 .
   * Disable udevadm divert, fail on old versions
   * Fix pulseaudio parse version
   * Fix some multiarch libs, fix modprobe list (closes: #694870),
   * Use glx-alternative mesa instead of fix-nvidia-ati
Checksums-Sha1: 
 207fdca43652686e612fba3d2eb4cfa1a486d2b9 1922 tcos_0.89.93.dsc
 ba292ce6258f4b46542859fb3f4e0aaa06abb9f8 1214852 tcos_0.89.93.tar.gz
 3f40ec8c37f7b94b09a311f55553068af72fb464 160734 initramfs-tools-tcos_0.89.93_all.deb
 83c7960ffc64f563a20a554a203a9789ccc7105c 370468 tcos-core_0.89.93_amd64.deb
 f304e4d30ee8cf9021a81c358ed1e9004a3259df 56060 tcos-standalone_0.89.93_all.deb
 5467cac403602c223b96af8f232e626262385660 46328 tcos_0.89.93_all.deb
 15e0215590ef3598a74dc69060a75faeeb1b147e 40470 tcos-tftp-dhcp_0.89.93_all.deb
Checksums-Sha256: 
 a564eea86400346ac83d28db585b280406d7b77fc7693b29be6b122f7a6f0dd8 1922 tcos_0.89.93.dsc
 80469bc4c99aafe55725dc2a8988e6bccc481983481e74850cd235d8355d83b3 1214852 tcos_0.89.93.tar.gz
 ac53ea878d69a99be876044e77828a2aec5ad9e69fd27789e1444a96ec6f2b6c 160734 initramfs-tools-tcos_0.89.93_all.deb
 f76e84c6f064c7a76363cb5117b768da1c3168ee5131edadb8661dd08cb4cff4 370468 tcos-core_0.89.93_amd64.deb
 de001b3c7b2810bd7f1839a23390ddff6d7a3d113af680d3c041a1cb13c0a2fa 56060 tcos-standalone_0.89.93_all.deb
 7b1acf4a93492d96960d5a8c38caae504441c65c99cb625a8acd2528aaa4899f 46328 tcos_0.89.93_all.deb
 2586502f574440331fab5250d461a14d7308edb177858349a8f341bd3d35bea3 40470 tcos-tftp-dhcp_0.89.93_all.deb
Files: 
 cddd9edbb2dce105504177eebbb8e437 1922 net extra tcos_0.89.93.dsc
 2a94671bd7ea23be86a02ffb67bcc839 1214852 net extra tcos_0.89.93.tar.gz
 a57e080cc4ffcc42fe41fd3fa0978451 160734 net extra initramfs-tools-tcos_0.89.93_all.deb
 4e2881165855a566e579c84f7b48b6ed 370468 net extra tcos-core_0.89.93_amd64.deb
 9d94bdfe01f640cf82b50a01ed8adc99 56060 net extra tcos-standalone_0.89.93_all.deb
 83a6726c2836941edfb5b0ef472543a0 46328 net extra tcos_0.89.93_all.deb
 e1397e55444b7fc2f43bd8d27906ef2f 40470 net extra tcos-tftp-dhcp_0.89.93_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSwsitAAoJEIh7YGGLPBaunQoQALxEuZc5Jo1MypqUBIG291OB
CseQcRe8lrVzbSAJKwXyYaJOHlHItPOLZgVZfZ35CP+t07BbNS19cRgK4efKNQkA
rsFQseYbDRlBSxnjkZ8LBbFgDkXSfE/LiVQYBmnu4AypQgJnXPaQF5tvJilebNGz
heVm5brRYe87iZYihhApTt/aQAVqAHwKI5LkpmdKKFywLVTtEpBPwoxOe5RrCQRW
TdeWJIU/c99XvqJLgxdj6vLU7Qop5Qv7fN42rG1AoqczzeInIjxZc+nsieScQWkm
tDVnPFOdQG3P8ua1EORO+8Hay9n9pLbFoumViUgEVZR3lpEaWI2y4b772uON5tjC
OKHrV7aQRA7b1x9dZUW6o1Cp9ZqeCYJlfTEpK439ekJMG/Zj6jF4LyT3VvwGQLCu
CqACwOiGURI1nnraf08U7p4PQNXukC7FcvQfDIumKVi+TQKSw0K50+Ux2apSQ3Pb
ptM5/tNiG+zIOVK5D7R4ui1E2wNa9ZCYLCsPV33sVskKpNJB/GxPB41pDs//iE+o
hYmPgdrdEL/k7K5n+C2ZwQCKWsh5bzQHXABWPj2sMYhp/aw+gNeXrPPy61zzw95c
C9Ji4KewVd4IlpOMoY6B7reZ2i3rBk0WNTbWQoC22UuK5qlrGhD+X08Fy3IJDFVJ
BD3Qzcq2V7iokBaaee51
=wntb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Feb 2014 07:29:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:03:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.